--[[ 
	Author : CougarFFW04		11/2021

	Some usefull functions
-]]

-- Format time as DD/HH/MM/SS
-- ==========================
function SecondsToClock(seconds)
  local days = math.floor(seconds / 86400)
  seconds = seconds - days * 86400
  local hours = math.floor(seconds / 3600 )
  seconds = seconds - hours * 3600
  local minutes = math.floor(seconds / 60) 
  seconds = seconds - minutes * 60
  
--  return string.format("%dH%dM%dS.",hours,minutes,seconds)
  return string.format("%02d/%02d:%02d:%02d",days+1,hours,minutes,seconds)
end

--	Remove element by key in table
-- ===============================
function table.removekey(table, key)
   local element = table[key]
   table[key] = nil
   return element
end

--[[
	Disable groups from probabilities
--]]
function sleepGroup(_groups)
	for group,prob in pairs(_groups) do
		if math.random(0,100) < 100-prob then
			Group.getByName(group):getController():setOnOff(false)
			table.removekey(_groups,group)
			-- trigger.action.outText(group.." DEACTIVATED !!",15)
		end
	end
end

-- Deactivate groups based on their probability
function shutGroups(_groups)
	for group,typdel in pairs(_groups) do
		sleepGroup(_G[group])
	end
end
