--[[ 
	Author : CougarFFW04		11/2021

	Assign static objets target to units of group
	
	_groupName is flight group name
	_targName is the target generic name
	_i is the index of first target

	call :  assignTargets("Ford3", "Targ", 1)
-]]


function assignTargets(_groupName, _targName, _i)

	local group = Group.getByName(_groupName)
	local pilCntrl = group:getController()
	local npil = group:getSize()
	
	for index = 1, npil do
		target = _targName..string.format("%02d",_i-1+index)
		objTarg = StaticObject.getByName(target)
		vecTarg = { x=objTarg:getPoint().x, y=objTarg:getPoint().z } -- Conversion to Vec2 coordinate format
		StrikeTask = { id='AttackMapObject', params={ point=vecTarg, groupAttack=false, expend="HALF", weaponType=2147485694, attackQtyLimit=true, attackQty=1} }
		if index > 1 then
			pilCntrl = group:getUnit(index):getController()
		end
		pilCntrl:pushTask(StrikeTask)
	end 
end
